QGIS Application - Bug report #5871
WCS layers do not show anymore
2012-06-26 03:30 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 15332
Description

Somewhere in between

QGIS version
1.9.0-Master

QGIS code revision
480c860

and

QGIS version

1.9.0-Master

QGIS code revision

50ce03a

qgis lost the ability to show WCS layers. Maybe it is related to one of the commits about the rasters.

You can use this

http://mapserver.uevora.pt/cgi-bin/ue_wcs

to test

History

#1 - 2012-06-26 04:48 AM - Radim Blazek

It works, you just have to select the bands manually in properties - style.

#2 - 2012-06-26 04:53 AM - Giovanni Manghi

Radim Blazek wrote:

It works, you just have to select the bands manually in properties - style.

oh, | see.

But it isn't a little counter intuitive user side? In this way the user can be lead to think there is a issue server side.
http://mapserver.uevora.pt/cgi-bin/ue_wcs

#3 - 2012-06-26 05:46 AM - Radim Blazek

It is early devel version, rasters are under heavy development, obviously it has to be fixed. It is maybe better just to send an e-mail to mailing list instead of

filling an issue in this stage of development .

#4 - 2012-06-26 05:52 AM - Giovanni Manghi

Radim Blazek wrote:

It is early devel version, rasters are under heavy development, obviously it has to be fixed. It is maybe better just to send an e-mail to mailing list

instead of filling an issue in this stage of development .

Hi Radim, my wasn't a complaint, | though the change was on purpose. In general | prefer to write here because in the dev mailing list my mails are often

ignored.

#5 - 2012-06-26 01:48 PM - Marco Hugentobler

I think this is the same issue as 5867. Go to settings->options->rendering->raster and set RedBand to 1, GreenBand to 2, BlueBand to 3. This is also the
default, but for people that work with master, a recent bug was setting this numbers to funny values.

Please test and close if it works.

#6 - 2012-06-26 01:49 PM - Marco Hugentobler

- Status changed from Open to Feedback

#7 - 2012-06-28 04:29 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Marco Hugentobler wrote:

| think this is the same issue as 5867. Go to settings->options->rendering->raster and set RedBand to 1, GreenBand to 2, BlueBand to 3. This is
also the default, but for people that work with master, a recent bug was setting this numbers to funny values.

Please test and close if it works.

correct
